package com.mmc.iuav.user.dao;

import com.mmc.iuav.user.entity.BackUserSuggestionDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author Admin
* @description 针对表【back_user_suggestion】的数据库操作Mapper
* @createDate 2024-03-26 13:54:46
* @Entity .com.mmc.iuav.user.entity.BackUserSuggestionDO
*/
@Mapper
public interface BackUserSuggestionDao {

    int deleteByPrimaryKey(Integer id);

    int insert(BackUserSuggestionDO record);

    int insertSelective(BackUserSuggestionDO record);

    List<BackUserSuggestionDO> selectByPrimaryKey(Integer backUserId);

    int countSelectSuggestion(Integer backUserId);
    int updateByPrimaryKeySelective(BackUserSuggestionDO record);

    int updateByPrimaryKey(BackUserSuggestionDO record);

}
